## python-django-compressor 1.3

=== Makefile ===
test:
	flake8 compressor --ignore=E501,E128
	coverage run --branch --source=compressor `which django-admin.py` test --settings=compressor.test_settings compressor
	coverage report --omit=compressor/test*,compressor/filters/jsmin/rjsmin*,compressor/filters/cssmin/cssmin*,compressor/utils/stringformat*

## python-django-compressor 1.1.2

=== debian/changelog ===
python-django-compressor (1.1.2-0ubuntu5~cloud0) precise-folsom; urgency=low

  * debian/pydist-override: Override python-django-appconf for python-appconf.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Aug 2012 09:42:55 -0500

python-django-compressor (1.1.2-0ubuntu4~cloud0) precise-folsom; urgency=low

  * Backport for Ubuntu Cloud Archive:
    - Required build dependency for horizon.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Aug 2012 19:52:13 -0500

python-django-compressor (1.1.2-0ubuntu4) quantal; urgency=low

  * debian/control: Use python-appconf instead of python-django-appconf. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Aug 2012 19:08:56 -0500

python-django-compressor (1.1.2-0ubuntu3) quantal; urgency=low

  * debian/control: Add 'Provides: ${python:Provides}' to fix package
    installation. (LP: #1036907)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 14 Aug 2012 17:10:10 -0700

python-django-compressor (1.1.2-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Rename python-django-compressor to python-compressor.
    - Add ${python:Provides}
    - Update maintainer
  * debian/patches/build-tools.patch: Fix boilerplate.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Aug 2012 07:51:05 -0500

python-django-compressor (1.1.2-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 15 Jul 2012 19:02:17 -0500

=== debian/control ===
Source: python-django-compressor
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools,  python-all (>= 2.6.6-3~),
 python-nose
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/django_compressor/

Package: python-compressor
Architecture: all
Conflicts: python-django-compressor ( << 1.1.2-0ubuntu1)
Replaces:  python-django-compressor ( << 1.1.2-0ubuntu1)
Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.1),
 python-appconf
Provides: ${python:Provides}
Description: Compresses linked and inline JavaScript or CSS into single cached files.
 Django Compressor combines and compresses linked and inline Javascript or CSS in a
 Django templates into cacheable static files by using the compress template tag.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-soruce:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

dh_override_auto_tests:
	nosetests

## python-django-compressor 1.2

=== debian/changelog ===
python-django-compressor (1.2-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1130610).
  * d/watch: Fix watch file inline with upstream project name.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2013 12:41:25 +0000

python-django-compressor (1.1.2-0ubuntu5) quantal; urgency=low

  * debian/pydist-override: Override python-django-appconf for python-appconf. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Aug 2012 09:19:01 -0500

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/django_compressor/django_compressor-(.*)\.tar.gz

## python-django-compressor 1.3

=== debian/changelog ===
python-django-compressor (1.3-1ubuntu3) trusty; urgency=medium

  * d/control: Drop python-beautifulsoup from BD's (LP: #1252627), its
    only required to run tests and is a optional parser at runtime.
  * d/rules: Correct path for django-admin.py so tests actually run,
    even if the result is ignored.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Mar 2014 13:09:39 +0000

python-django-compressor (1.3-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:17 +0000

python-django-compressor (1.3-1ubuntu1) trusty; urgency=medium

  * Drop use of external discover-runner as this is included in
    django >= 1.6 (LP: #1252627):
    - d/patches/django-1.6-compat.patch: Patch out use of discover_runner.
    - d/control: Drop BD on python-django-discover-runner, version BD on
      python-django >= 1.6. 

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jan 2014 10:32:15 +0000

python-django-compressor (1.3-1) unstable; urgency=low

  * New upstream release.
  * Added unit tests build-depends and ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Jun 2013 14:29:00 +0800

python-django-compressor (1.2-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 15:20:14 +0000

python-django-compressor (1.2-1) experimental; urgency=low

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Oct 2012 10:51:47 +0000

=== debian/control ===
Source: python-django-compressor
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-setuptools
Build-Depends-Indep: python-appconf,
 python-coverage,
 python-django (>= 1.6),
 python-html5lib,
 python-jinja2,
 python-lxml,
 python-mock,
 python-nose,
 python-unittest2
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-compressor.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-django-compressor.git
Homepage: http://pypi.python.org/pypi/django_compressor/

Package: python-compressor
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-appconf,
 python-django (>= 1.1),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Compresses linked and inline JavaScript or CSS into single cached files
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/jezdez/django_compressor.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2

PYDEF=$(shell pyversions -d)

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$PYTHONPATH:. python /usr/lib/$(PYDEF)/dist-packages/django/bin/django-admin.py test --settings=compressor.test_settings compressor || true
	rm -rf $(CURDIR)/compressor/tests/static/CACHE
endif

override_dh_auto_build:

override_dh_install:
	set -e ; for i in `pyversions -s` ; do \
		$$i setup.py install --install-layout=deb --root=debian/python-compressor ; \
		rm -f $(CURDIR)/debian/usr/lib/$$i/dist-packages/compressor/tests/static/CACHE/css/* ; \
		rm -f $(CURDIR)/debian/usr/lib/$$i/dist-packages/compressor/tests/static/CACHE/js/* ; \
	done
	find debian/python-compressor -iname '*.pyc' -delete

override_dh_usrlocal:
	rm -f $(CURDIR)/debian/usr/share/pyshared/compressor/tests/static/CACHE/css/*
	rm -f $(CURDIR)/debian/usr/share/pyshared/compressor/tests/static/CACHE/js/*

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/django-compressor/django-compressor-(.*)\.tar.gz

## python-django-compressor 1.4

=== Makefile ===
testenv:
	pip install -e .
	pip install -r requirements/tests.txt
	pip install Django

test:
	flake8 compressor --ignore=E501,E128,E701,E261,E301,E126,E127,E131
	coverage run --branch --source=compressor `which django-admin.py` test --settings=compressor.test_settings compressor
	coverage report --omit=compressor/test*,compressor/filters/jsmin/rjsmin*,compressor/filters/cssmin/cssmin*,compressor/utils/stringformat*

.PHONY: test

=== debian/changelog ===
python-django-compressor (1.4-2ubuntu3) vivid; urgency=medium

  * d/control: Drop BD on python-coffin. 

 -- James Page <james.page@ubuntu.com>  Tue, 06 Jan 2015 14:31:34 +0000

python-django-compressor (1.4-2ubuntu2) vivid; urgency=medium

  * Disable coffin support to support continued Ubuntu main inclusion:
    - d/control: Drop BD on python-coffin.
    - d/p/disable-coffin-tests.patch: Disable coffin related testing.
    - d/pydist-overrides: Ignore coffin dependency.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Jan 2015 12:34:51 +0000

python-django-compressor (1.4-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Drop BD on python-django-discover-runner, version BD
      on python-django >= 1.6.
  * Dropped changes, included in Debian:
    - d/rules: Correct path for django-admin.py so tests actually run,
      even if the result is ignored.
  * Dropped changes, included upstream:
    - d/p/django-1.6-compat.patch: Patch out use of discover_runner.
  * d/control: Switch python-beautifulsoup -> python-bs4, as this is now
    supported upstream and is in Ubuntu main.
  * d/control: Drop BDI on csstidy as its not required to actually build
    the package.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Dec 2014 10:34:59 +0000

python-django-compressor (1.4-2) unstable; urgency=medium

  * Fixed Django 1.7 compat in test_settings.py. (Closes: #755622)
  * Added build-depends: csstidy, python-coffin, python-jingo
  * Runs the unit tests correctly now.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Sep 2014 17:31:54 +0000

python-django-compressor (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort.
  * Standards-Version is now 3.9.5.
  * Do not run useless dh_helper (builds faster).

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Jun 2014 15:08:13 +0800

=== debian/control ===
Source: python-django-compressor
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-appconf,
                     python-bs4,
                     python-coverage,
                     python-django (>= 1.6),
                     python-html5lib,
                     python-jingo,
                     python-jinja2,
                     python-lxml,
                     python-mock,
                     python-nose,
                     python-unittest2
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-compressor.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-django-compressor.git
Homepage: http://pypi.python.org/pypi/django_compressor/

Package: python-compressor
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-appconf,
         python-django (>= 1.1),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Compresses linked and inline JavaScript or CSS into single cached files
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
 %:
 	dh $@  --with python2
 
-PYDEF=$(shell pyversions -d)
+override_dh_clean:
+	dh_clean
+	rm -rf .coverage
 
+override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	PYTHONPATH=$PYTHONPATH:. python /usr/lib/$(PYDEF)/dist-packages/django/bin/django-admin.py test --settings=compressor.test_settings compressor || true
+	PYTHONPATH=. python-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor
+	#PYTHONPATH=$PYTHONPATH:. python /usr/share/pyshared/django/bin/django-admin.py test --settings=compressor.test_settings compressor || true
 	rm -rf $(CURDIR)/compressor/tests/static/CACHE
 endif
 
@@ -30,3 +33,13 @@
 override_dh_usrlocal:
 	rm -f $(CURDIR)/debian/usr/share/pyshared/compressor/tests/static/CACHE/css/*
 	rm -f $(CURDIR)/debian/usr/share/pyshared/compressor/tests/static/CACHE/js/*
+
+# Commands not to run
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules override_dh_installlogcheck:
+override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl:
+override_dh_installlogrotate override_dh_installgsettings override_dh_bugfiles override_dh_ucf:
+override_dh_installexamples override_dh_installman override_dh_installcron override_dh_installdebconf:

## python-django-compressor 1.5

=== debian/changelog ===
python-django-compressor (1.5-3~bpo8+1+0~20170422110121.10+jessie~1.gbpd9c550) jessie-backports; urgency=medium

  ** SNAPSHOT build @d9c5504b270fe68b9bef11f0ffa95ad20f1f022b **

  [ Mario Fetka ]
  * remove gbp

  [ jenkins-debian-glue Autobuilder ]

 -- jenkins-debian-glue Autobuilder <jenkins@debbuild.disconnected-by-peer.at>  Sat, 22 Apr 2017 13:01:23 +0200

python-django-compressor (1.5-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2015 14:39:06 +0100

python-django-compressor (1.5-3) unstable; urgency=medium

  * Transition to python-django-compressor instead of python-compressor to
    respect upstream egg-info (Closes: #799260).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:10:17 +0000

python-django-compressor (1.5-2) unstable; urgency=medium

  * More robust watch file thanks to James Page (Closes: #796249).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 15:52:25 +0000

python-django-compressor (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Added Python 3 support.
  * Removed django 1.7 patche.
  * Added patch to not run a unit test that fails:
    - compressor.tests.test_base.JsAsyncDeferTestCase
  * Fixed PyPi watch file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Aug 2015 08:17:03 +0000

=== debian/control ===
Source: python-django-compressor
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: csstidy,
                     python-appconf,
                     python-bs4,
                     python-coffin,
                     python-coverage,
                     python-django,
                     python-django-discover-runner,
                     python-html5lib,
                     python-jingo,
                     python-jinja2,
                     python-lxml,
                     python-mock,
                     python-nose,
                     python-unittest2,
                     python3-appconf,
                     python3-bs4,
                     python3-coffin,
                     python3-coverage,
                     python3-django,
                     python3-django-discover-runner,
                     python3-html5lib,
                     python3-jingo,
                     python3-jinja2,
                     python3-lxml,
                     python3-mock,
                     python3-nose,
                     python3-unittest2,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-compressor.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-django-compressor.git
Homepage: http://pypi.python.org/pypi/django_compressor/

Package: python-django-compressor
Architecture: all
Depends: python-django,
         python-django-appconf,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-compressor (<= 1.5-2),
Replaces: python-compressor (<= 1.5-2),
Provides: python-compressor,
          ${python:Provides},
Description: Compresses linked, inline JS or CSS into single cached files - Python 2.7
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This package contains the Python 2.7 module.

Package: python3-django-compressor
Architecture: all
Depends: python3-django,
         python3-django-appconf,
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-compressor (<= 1.5-2),
Replaces: python3-compressor (<= 1.5-2),
Provides: python3-compressor,
          ${python3:Provides},
Description: Compresses linked, inline JS or CSS into single cached files - Python 3.x
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This package contains the Python 3.x module.

Package: python-compressor
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-django-compressor,
         ${misc:Depends},
Provides: ${python:Provides},
Description: Compresses linked, inline JS or CSS - Python 2.7 transition package
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This is a transitional package to upgrade to python-django-compressor, and it
 is safe to remove.

Package: python3-compressor
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-django-compressor,
         ${misc:Depends},
Description: Compresses linked, inline JS or CSS - Python 3.x transition package
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This is a transitional package to upgrade to python3-django-compressor, and it
 is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/jezdez/django_compressor.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_clean:
	dh_clean
	rm -rf .coverage

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHON=python2 PYTHONPATH=. python-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor
	rm -rf $(CURDIR)/compressor/tests/static/CACHE
	# TODO: make unit tests to work.
#	PYTHON=python3 PYTHONPATH=. python3-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor
#	rm -rf $(CURDIR)/compressor/tests/static/CACHE
endif

override_dh_auto_build:

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-django-compressor; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-django-compressor; \
	done
	rm -f $(CURDIR)/debian/usr/lib/python*/dist-packages/compressor/tests/static/CACHE/css/*
	rm -f $(CURDIR)/debian/usr/lib/python*/dist-packages/compressor/tests/static/CACHE/js/*
	find debian -iname '*.pyc' -delete

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl:
override_dh_installlogrotate override_dh_installgsettings override_dh_bugfiles override_dh_ucf:
override_dh_installexamples override_dh_installman override_dh_installcron override_dh_installdebconf:

## python-django-compressor 2.0

=== debian/changelog ===
python-django-compressor (2.0-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1554134). Remaining changes:
    - d/p/disable-coffin-tests.patch: Dropped, no longer required as
      upstream dropped support for coffin.
    - d/control: Drop BD's on django-discover-runner and csstidy; not
      required in Ubuntu.
    - d/control: Drop BD's on coffin and jingo, no longer supported
      upstream.
    - d/control: Drop (Build-)Depends on django-overextends and
      django-sekizai, as these are optional dependencies.
    - d/p/disable-django-sekizai.patch: Skip django-sekizai if its not
      installed.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Mar 2016 10:14:29 +0000

python-django-compressor (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed compressor/filters/jsmin/rjsmin.py from d/copyright.
  * Removed compressor/utils/stringformat.py from d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2016 02:57:22 +0000

python-django-compressor (1.6+2015.12.22.git.94755c5aa6-1) unstable; urgency=medium

  * New upstream release based on commit 94755c5aa6 (Closes: #807355).
  * Added new (build-)dependencies:
    - python-django-overextends
    - python-django-sekizai
    - python-rjsmin
    - python-rcssmin
    - python-csscompressor
  * Upped the min required version for python-coffin.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2015 16:13:22 +0000

python-django-compressor (1.5-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop BD on python-coffin.
    - d/p/disable-coffin-tests.patch: Disable coffin tests for Ubuntu.
    - d/control: Drop BD's on django-discover-runner and csstidy; not
      required in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Nov 2015 09:59:19 +0000

python-django-compressor (1.5-1ubuntu2) wily; urgency=medium

  * d/control: Drop BD's on django-discover-runner and csstidy; not
    required in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Sep 2015 10:54:13 +0100

python-django-compressor (1.5-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop BD on python-coffin.
    - d/p/disable-coffin-tests.patch: Disable coffin tests for Ubuntu.
    - d/watch: Fixed.

 -- David Ames <david.ames@canonical.com>  Tue, 04 Aug 2015 16:11:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django-compressor
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -10,32 +11,31 @@
                python-setuptools,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: csstidy,
-                     python-appconf,
+Build-Depends-Indep: python-appconf,
                      python-bs4,
-                     python-coffin,
                      python-coverage,
+                     python-csscompressor,
                      python-django,
-                     python-django-discover-runner,
                      python-html5lib,
-                     python-jingo,
                      python-jinja2,
                      python-lxml,
                      python-mock,
                      python-nose,
+                     python-rjsmin,
+                     python-rcssmin,
                      python-unittest2,
                      python3-appconf,
                      python3-bs4,
-                     python3-coffin,
                      python3-coverage,
+                     python3-csscompressor,
                      python3-django,
-                     python3-django-discover-runner,
                      python3-html5lib,
-                     python3-jingo,
                      python3-jinja2,
                      python3-lxml,
                      python3-mock,
                      python3-nose,
+                     python3-rjsmin,
+                     python3-rcssmin,
                      python3-unittest2,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-compressor.git;a=summary
@@ -44,8 +44,11 @@
 
 Package: python-django-compressor
 Architecture: all
-Depends: python-django,
+Depends: python-csscompressor,
+         python-django,
          python-django-appconf,
+         python-rjsmin,
+         python-rcssmin,
          ${misc:Depends},
          ${python:Depends},
 Breaks: python-compressor (<= 1.5-2),
@@ -61,8 +64,11 @@
 
 Package: python3-django-compressor
 Architecture: all
-Depends: python3-django,
+Depends: python3-csscompressor,
+         python3-django,
          python3-django-appconf,
+         python3-rjsmin,
+         python3-rcssmin,
          ${misc:Depends},
          ${python3:Depends},
 Breaks: python3-compressor (<= 1.5-2),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/jezdez/django_compressor.git
+UPSTREAM_GIT = git://github.com/django-compressor/django-compressor.git
 
 include /usr/share/openstack-pkg-tools/pkgos.make

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django_compressor/django_compressor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-compressor 2.1

=== Makefile ===
testenv:
	pip install -e .
	pip install -r requirements/tests.txt
	pip install Django

flake8:
	flake8 compressor --ignore=E501,E128,E701,E261,E301,E126,E127,E131

runtests:
	coverage run --branch --source=compressor `which django-admin.py` test --settings=compressor.test_settings compressor

coveragereport:
	coverage report --omit=compressor/test*

test: flake8 runtests coveragereport

.PHONY: test runtests flake8 coveragereport

=== debian/changelog ===
python-django-compressor (2.1-1+36~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 03 Dec 2016 12:54:34 +0000

python-django-compressor (2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release:
    - Compatible with Django 1.10 (Closes: #844921).
  * Drop 0001-Use-argparse-instead-of-optparse.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Dec 2016 13:33:37 +0100

python-django-compressor (2.0-4) unstable; urgency=medium

  [ James Page ]
  * Drop dependencies on django-overextends, as support was dropped
    upstream in the 2.0 release.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Allow Py3 unit tests to fail, as they do in Jessie in infra.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2016 00:43:10 +0200

python-django-compressor (2.0-3) unstable; urgency=medium

  * Fixed patch header for 0001-Use-argparse-instead-of-optparse.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 09:59:15 +0000

python-django-compressor (2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Ivan Udovichenko ]
  * d/patches: Add 0001-Use-argparse-instead-of-optparse.patch file
      to fix issues with Django 1.10. (Closes: #828662)

  [ Thomas Goirand ]
  * Also run tests in Py3.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 07:58:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: python-django-compressor
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python-appconf,
+Build-Depends-Indep: csstidy,
+                     python-appconf,
                      python-bs4,
+                     python-coffin (>= 2.0.1),
                      python-coverage,
                      python-csscompressor,
                      python-django,
+                     python-django-discover-runner,
+                     python-django-sekizai (>= 0.9.0),
                      python-html5lib,
+                     python-jingo,
                      python-jinja2,
                      python-lxml,
                      python-mock,
@@ -26,10 +30,14 @@
                      python-unittest2,
                      python3-appconf,
                      python3-bs4,
+                     python3-coffin (>= 2.0.1),
                      python3-coverage,
                      python3-csscompressor,
                      python3-django,
+                     python3-django-discover-runner,
+                     python3-django-sekizai (>= 0.9.0),
                      python3-html5lib,
+                     python3-jingo,
                      python3-jinja2,
                      python3-lxml,
                      python3-mock,
@@ -37,10 +45,10 @@
                      python3-rjsmin,
                      python3-rcssmin,
                      python3-unittest2,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-compressor.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-django-compressor.git
-Homepage: http://pypi.python.org/pypi/django_compressor/
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-django-compressor?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-django-compressor -b debian/newton
+Homepage: https://pypi.python.org/pypi/django_compressor/
 
 Package: python-django-compressor
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/django-compressor/django-compressor.git
-
+UPSTREAM_GIT := https://github.com/django-compressor/django-compressor.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -19,21 +15,14 @@
 	PYTHON=python2 PYTHONPATH=. python-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor
 	rm -rf $(CURDIR)/compressor/tests/static/CACHE
 	# TODO: make unit tests to work.
-#	PYTHON=python3 PYTHONPATH=. python3-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor
-#	rm -rf $(CURDIR)/compressor/tests/static/CACHE
+	PYTHON=python3 PYTHONPATH=. python3-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor || true
+	rm -rf $(CURDIR)/compressor/tests/static/CACHE
 endif
 
 override_dh_auto_build:
 
-override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-django-compressor; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-django-compressor; \
-	done
+override_dh_auto_install:
+	pkgos-dh_auto_install
 	rm -f $(CURDIR)/debian/usr/lib/python*/dist-packages/compressor/tests/static/CACHE/css/*
 	rm -f $(CURDIR)/debian/usr/lib/python*/dist-packages/compressor/tests/static/CACHE/js/*
 	find debian -iname '*.pyc' -delete

## python-django-compressor 2.2

=== debian/changelog ===
python-django-compressor (2.2-4) unstable; urgency=high

  * Removed debian/pydist-overrides which is creating the unwanted runtime
    build-depends: python-appconf (Closes: #882107).
  * Using priority: high to have the uncruft faster.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Nov 2017 10:45:34 +0000

python-django-compressor (2.2-3) unstable; urgency=medium

  * Fixed python{3,}-django-appconf instead of just -appconf (Closes: #881065).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2017 15:00:06 +0000

python-django-compressor (2.2-2) unstable; urgency=medium

  * Removed python-django-discover-runner as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Nov 2017 06:22:54 +0000

python-django-compressor (2.2-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Removed build-depends on jingo: it's not used upstream anymore, and the
    Python module is deprecated upstream.
  * Removed build-depends on coffin.
  * Added fix-html5lib.serialize-call.patch.
  * Added neutralize-broken-test_css_return_if_off-test.patch.
  * Running tests with all versions of Python 3.
  * Watch file using https.
  * Standards-Version is now 4.1.1.
  * Removed compressor/utils/decorators.py from debian/copyright, as the file
    is also gone upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 20:24:56 +0000

python-django-compressor (2.1.1-1) experimental; urgency=medium

  [ James Page ]
  * Drop dependencies on django-overextends, as support was dropped
    upstream in the 2.0 release.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed transition packages and remove all versions in (b-)d.
  * Removed 0001-Use-argparse-instead-of-optparse.patch (applied upstream).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2017 23:15:11 +0200

=== debian/control ===
Source: python-django-compressor
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 csstidy,
 python-django-appconf,
 python-bs4,
 python-coverage (>= 4.4),
 python-csscompressor,
 python-django,
 python-django-sekizai,
 python-html5lib,
 python-jinja2,
 python-lxml,
 python-mock,
 python-nose,
 python-rcssmin,
 python-rjsmin,
 python-unittest2,
 python3-django-appconf,
 python3-bs4,
 python3-coverage (>= 4.4),
 python3-csscompressor,
 python3-django,
 python3-django-sekizai,
 python3-html5lib,
 python3-jinja2,
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-rcssmin,
 python3-rjsmin,
 python3-unittest2,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-django-compressor.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-django-compressor.git
Homepage: https://pypi.python.org/pypi/django_compressor/

Package: python-django-compressor
Architecture: all
Depends:
 python-csscompressor,
 python-django,
 python-django-appconf,
 python-rcssmin,
 python-rjsmin,
 ${misc:Depends},
 ${python:Depends},
Description: Compresses linked, inline JS or CSS into single cached files - Python 2.7
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This package contains the Python 2.7 module.

Package: python3-django-compressor
Architecture: all
Depends:
 python3-csscompressor,
 python3-django,
 python3-django-appconf,
 python3-rcssmin,
 python3-rjsmin,
 ${misc:Depends},
 ${python3:Depends},
Description: Compresses linked, inline JS or CSS into single cached files - Python 3.x
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,10 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHON=python2 PYTHONPATH=. python-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor
-	rm -rf $(CURDIR)/compressor/tests/static/CACHE
-	# TODO: make unit tests to work.
-	PYTHON=python3 PYTHONPATH=. python3-coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor || true
-	rm -rf $(CURDIR)/compressor/tests/static/CACHE
+	for i in 2.7 $(PYTHON3S) ; do \
+		PYTHON=python$$i PYTHONPATH=. python$$i -m coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor ; \
+		rm -rf $(CURDIR)/compressor/tests/static/CACHE ; \
+	done
 endif
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django_compressor/django_compressor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-compressor 2.4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	pip install Django
 
 flake8:
-	flake8 compressor --ignore=E501,E128,E701,E261,E301,E126,E127,E131
+	flake8 compressor --ignore=E501,E128,E701,E261,E301,E126,E127,E131,E402,W503
 
 runtests:
 	coverage run --branch --source=compressor `which django-admin.py` test --settings=compressor.test_settings compressor

=== debian/changelog ===
python-django-compressor (2.4-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml and fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 11:14:55 +0200

python-django-compressor (2.4-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Disable fix-html5lib.serialize-call.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 11:03:46 +0200

python-django-compressor (2.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2019 11:29:22 +0200

=== debian/control ===
Source: python-django-compressor
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 csstidy,
 python3-brotli,
 python3-bs4,
 python3-calmjs,
 python3-coverage (>= 4.4),
 python3-csscompressor (>= 0.9.5),
 python3-django,
 python3-django-appconf (>= 1.0.3),
 python3-django-sekizai,
 python3-html5lib,
 python3-jinja2,
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-rcssmin,
 python3-rjsmin (>= 1.1.0),
 python3-slimit,
 python3-six,
 python3-unittest2,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-django-compressor
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-django-compressor.git
Homepage: https://pypi.python.org/pypi/django_compressor/

Package: python3-django-compressor
Architecture: all
Depends:
 python3-csscompressor (>= 0.9.5),
 python3-calmjs,
 python3-django,
 python3-django-appconf (>= 1.0.3),
 python3-rcssmin,
 python3-rjsmin (>= 1.1.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Compresses linked, inline JS or CSS into single cached files - Python 3.x
 Django Compressor combines and compresses linked and inline Javascript or CSS
 in a Django templates into cacheable static files by using the compress
 template tag.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/django-compressor/django-compressor.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .coverage
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m coverage run --branch --source=compressor /usr/bin/django-admin test --settings=compressor.test_settings compressor ; \
		rm -rf $(CURDIR)/compressor/tests/static/CACHE ; \
	done
endif

	rm -f $(CURDIR)/debian/usr/lib/python*/dist-packages/compressor/tests/static/CACHE/css/*
	rm -f $(CURDIR)/debian/usr/lib/python*/dist-packages/compressor/tests/static/CACHE/js/*
	find debian -iname '*.pyc' -delete

## python-django-compressor 4.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	flake8 compressor --ignore=E501,E128,E701,E261,E301,E126,E127,E131,E402,W503
 
 runtests:
-	coverage run --branch --source=compressor `which django-admin.py` test --settings=compressor.test_settings compressor
+	coverage run --branch --source=compressor `which django-admin` test --settings=compressor.test_settings compressor
 
 coveragereport:
 	coverage report --omit=compressor/test*

=== debian/changelog ===
python-django-compressor (4.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2022089). Remaining changes:
    - d/control: Drop runtime dependency on python-calmjs to a Suggests
      as it is an optional dependency and rjsmin already provides the
      default JS minifier implementation.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 16 Aug 2023 13:08:46 -0700

python-django-compressor (4.0-2) unstable; urgency=medium

  * Fix Command.requires_system_checks to make it work under Django 4.x.
    (Closes: #1035720).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 14:42:49 +0200

python-django-compressor (4.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Drop runtime dependency on python-calmjs to a Suggests
      as it is an optional dependency and rjsmin already provides the
      default JS minifier implementation.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Jul 2022 14:20:38 -0700

python-django-compressor (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed django-4.x-compat.patch.
  * Add EPOCH to rcssmin (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jun 2022 12:00:21 +0200

python-django-compressor (2.4.1-3) unstable; urgency=medium

  * Add django-4.x-compat.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2022 13:27:13 +0200

python-django-compressor (2.4.1-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Drop runtime dependency on python-calmjs to a Suggests
      as it is an optional dependency and rjsmin already provides the
      default JS minifier implementation.

 -- James Page <james.page@ubuntu.com>  Mon, 30 May 2022 10:51:31 +0100

python-django-compressor (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:27:00 +0100

python-django-compressor (2.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Feb 2022 14:18:07 +0100

python-django-compressor (2.4-2ubuntu1) hirsute; urgency=medium

  * d/control: Drop runtime dependency on python-calmjs to a Suggests
    as it is an optional dependency and rjsmin already provides the
    default JS minifier implementation.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2021 10:13:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django-compressor
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -14,19 +15,19 @@
  csstidy,
  python3-brotli,
  python3-bs4,
- python3-calmjs,
+ python3-calmjs (>= 3.4.2),
  python3-coverage (>= 4.4),
  python3-csscompressor (>= 0.9.5),
  python3-django,
  python3-django-appconf (>= 1.0.3),
  python3-django-sekizai,
  python3-html5lib,
- python3-jinja2,
- python3-lxml,
+ python3-jinja2 (>= 3.0.3),
+ python3-lxml (>= 4.6.5),
  python3-mock,
  python3-nose,
- python3-rcssmin,
- python3-rjsmin (>= 1.1.0),
+ python3-rcssmin (>= 1:1.1.0),
+ python3-rjsmin (>= 1.2.0),
  python3-slimit,
  python3-six,
  python3-unittest2,
@@ -39,14 +40,15 @@
 Architecture: all
 Depends:
  python3-csscompressor (>= 0.9.5),
- python3-calmjs,
  python3-django,
  python3-django-appconf (>= 1.0.3),
- python3-rcssmin,
- python3-rjsmin (>= 1.1.0),
+ python3-rcssmin (>= 1:1.1.0),
+ python3-rjsmin (>= 1.2.0),
  python3-six,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-calmjs,
 Description: Compresses linked, inline JS or CSS into single cached files - Python 3.x
  Django Compressor combines and compresses linked and inline Javascript or CSS
  in a Django templates into cacheable static files by using the compress

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/django-compressor/django-compressor/tags .*/(\d[brc\d\.]+)\.tar\.gz
